Gallery

Angular Bootstrap Gallery - free examples, templates & tutorial

Responsive Angular galleries created with Bootstrap 5. Image gallery, video gallery, photo gallery, full-page, eCommerce, lightbox, slider, thumbnails, & more.


Static images

An example with the usage of static images.

To learn more read Images Docs.

        
            
        <!--Main Navigation-->
        <header>
          <!-- Animated navbar-->
          <nav
            class="navbar navbar-expand-lg fixed-top navbar-scroll"
            [class.navbar-scrolled]="navbarScrolled"
          >
            <div class="container-fluid">
              <button
                class="navbar-toggler"
                type="button"
                (click)="animatedNavbarExample2.toggle()"
                aria-controls="animatedNavbarExample2"
                aria-expanded="false"
                aria-label="Toggle navigation"
              >
                <span class="navbar-toggler-icon d-flex justify-content-start align-items-center">
                  <i class="fas fa-bars"></i>
                </span>
              </button>
              <div
                mdbCollapse
                #animatedNavbarExample2="mdbCollapse"
                class="collapse navbar-collapse"
                id="animatedNavbarExample2"
              >
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                  <li class="nav-item active">
                    <a class="nav-link" aria-current="page" href="#intro">Home</a>
                  </li>
                  <li class="nav-item">
                    <a
                      class="nav-link"
                      href="https://www.youtube.com/channel/UC5CF7mLQZhvx8O5GODZAhdA"
                      rel="nofollow"
                      target="_blank"
                      >Learn Bootstrap 5</a
                    >
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="https://mdbootstrap.com/docs/standard/" target="_blank"
                      >Download MDB UI KIT</a
                    >
                  </li>
                </ul>

                <ul class="navbar-nav flex-row">
                  <!-- Icons -->
                  <li class="nav-item">
                    <a
                      class="nav-link pe-2"
                      href="https://www.youtube.com/channel/UC5CF7mLQZhvx8O5GODZAhdA"
                      rel="nofollow"
                      target="_blank"
                    >
                      <i class="fab fa-youtube"></i>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a
                      class="nav-link px-2"
                      href="https://www.facebook.com/mdbootstrap"
                      rel="nofollow"
                      target="_blank"
                    >
                      <i class="fab fa-facebook-f"></i>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a
                      class="nav-link px-2"
                      href="https://twitter.com/MDBootstrap"
                      rel="nofollow"
                      target="_blank"
                    >
                      <i class="fab fa-twitter"></i>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a
                      class="nav-link ps-2"
                      href="https://github.com/mdbootstrap/mdb-ui-kit"
                      rel="nofollow"
                      target="_blank"
                    >
                      <i class="fab fa-github"></i>
                    </a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>
          <!-- Animated navbar -->

          <!-- Background image -->
          <div
            id="intro"
            class="bg-image"
            style="
              background-image: url(https://mdbcdn.b-cdn.net/img/new/fluid/city/113.webp);
              height: 100vh;
            "
          >
            <div class="mask text-white" style="background-color: rgba(0, 0, 0, 0.8)">
              <div class="container d-flex align-items-center text-center h-100">
                <div>
                  <h1 class="mb-5">This is title</h1>
                  <p>
                    Lorem ipsum dolor, sit amet consectetur adipisicing elit. Officiis molestiae laboriosam
                    numquam expedita ullam saepe ipsam, deserunt provident corporis, sit non accusamus
                    maxime, magni nulla quasi iste ipsa architecto? Autem!
                  </p>
                </div>
              </div>
            </div>
          </div>
          <!-- Background image -->
        </header>
        <!--Main Navigation-->

        <div class="container my-5">
          <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Nobis quam minima perspiciatis eos
            tenetur. Praesentium dolores at quos aperiam sed, sint provident consectetur incidunt, nostrum
            porro earum commodi, ex architecto.
          </p>
        </div>
        
        
    
        
            

        import { Component, OnInit } from '@angular/core';
        import { fromEvent } from 'rxjs';
        
        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
          styleUrls: ['./app.component.scss']
        })
        export class AppComponent implements OnInit {
          constructor() {}
        
          navbarScrolled = false;
        
          ngOnInit(): void {
            fromEvent(window, 'scroll').subscribe(() => {
              if (window.scrollY > 0) {
                this.navbarScrolled = true;
              } else {
                this.navbarScrolled = false;
              }
            });
          }
        }

Gallery
Vue Bootstrap Gallery - free examples, templates & tutorial
Responsive Vue galleries created with Bootstrap 5. Image gallery, video gallery, photo gallery, full-page, eCommerce, lightbox, slider, thumbnails, & more.
Static images
An example with the usage of static images.
To learn more read Images Docs.
<template>
<!-- Gallery -->
<div class="row">
<div class="col-lg-4 col-md-12 mb-4 mb-lg-0">
<img src="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/Nature/4-col/img%20(73).webp"
class="w-100 shadow-1-strong rounded mb-4" alt="Boat on Calm Water" />
<img src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain1.webp"
class="w-100 shadow-1-strong rounded mb-4" alt="Wintry Mountain Landscape" />
</div>
<div class="col-lg-4 mb-4 mb-lg-0">
<img src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain2.webp"
class="w-100 shadow-1-strong rounded mb-4" alt="Mountains in the Clouds" />
<img src="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/Nature/4-col/img%20(73).webp"
class="w-100 shadow-1-strong rounded mb-4" alt="Boat on Calm Water" />
</div>
<div class="col-lg-4 mb-4 mb-lg-0">
<img src="https://mdbcdn.b-cdn.net/img/Photos/Horizontal/Nature/4-col/img%20(18).webp"
class="w-100 shadow-1-strong rounded mb-4" alt="Waves at Sea" />
<img src="https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain3.webp"
class="w-100 shadow-1-strong rounded mb-4" alt="Yosemite National Park" />
</div>
</div>
<!-- Gallery -->
</template>
Carousel / Slider
Carousel (also called "slider") is a slideshow cycling through different elements such as photos, videos, or text.
To learn more read Carousel Docs.
<template>
<MDBCarousel v-model="carousel1" :items="items1" fade />
</template>
<script>
import {
ref
} from "vue";
import {
MDBCarousel
} from "mdb-vue-ui-kit";
export default {
components: {
MDBCarousel
},
setup() {
const items1 = [{
src: "https://mdbootstrap.com/img/Photos/Slides/img%20(15).webp",
alt: "...",
label: "First slide label",
caption: "Nulla vitae elit libero, a pharetra augue mollis interdum."
},
{
src: "https://mdbootstrap.com/img/Photos/Slides/img%20(22).webp",
alt: "...",
label: "Second slide label",
caption: "Lorem ipsum dolor sit amet, consectetur adipiscing elit."
},
{
src: "https://mdbootstrap.com/img/Photos/Slides/img%20(23).webp",
alt: "...",
label: "Third slide label",
caption: "Praesent commodo cursus magna, vel scelerisque nisl consectetur."
}
];
const carousel1 = ref(0);
return {
items1,
carousel1
};
}
};
</script>
Gallery with modals and YouTube videos
An example of the combination of bootstrap modals and youtube video embeds.
To learn more read Modals Docs.
<template>
<!-- Button trigger modal -->
<div class="row">
<div class="col-lg-4 col-md-12 mb-4 mb-lg-0">
<div class="bg-image hover-overlay ripple shadow-1-strong rounded">
<img src="https://mdbcdn.b-cdn.net/img/screens/yt/screen-video-1.webp" class="w-100" />
<a href="#!" @click="exampleModal = true">
<div class="mask" style="background-color: rgba(251, 251, 251, 0.2);"></div>
</a>
</div>
</div>
<div class="col-lg-4 mb-4 mb-lg-0">
<div class="bg-image hover-overlay ripple shadow-1-strong rounded">
<img src="https://mdbcdn.b-cdn.net/img/screens/yt/screen-video-2.webp" class="w-100" />
<a href="#!" @click="exampleModal2 = true">
<div class="mask" style="background-color: rgba(251, 251, 251, 0.2);"></div>
</a>
</div>
</div>
<div class="col-lg-4 mb-4 mb-lg-0">
<div class="bg-image hover-overlay ripple shadow-1-strong rounded">
<img src="https://mdbcdn.b-cdn.net/img/screens/yt/screen-video-3.webp" class="w-100" />
<a href="#!" @click="exampleModal3 = true">
<div class="mask" style="background-color: rgba(251, 251, 251, 0.2);"></div>
</a>
</div>
</div>
</div>
<MDBModal id="exampleModal" tabindex="-1" labelledby="exampleModalLabel" v-model="exampleModal">
<MDBModalBody>
<div class="ratio ratio-16x9">
<iframe src="https://www.youtube.com/embed/A3PDXmYoF5U" title="YouTube video" allowfullscreen></iframe>
</div>
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" @click="exampleModal = false">Close</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBModal id="exampleModal2" tabindex="-1" labelledby="exampleModalLabel2" v-model="exampleModal2">
<MDBModalBody>
<div class="ratio ratio-16x9">
<iframe src="https://www.youtube.com/embed/wTcNtgA6gHs" title="YouTube video" allowfullscreen></iframe>
</div>
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" @click="exampleModal2 = false">Close</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBModal id="exampleModal3" tabindex="-1" labelledby="exampleModalLabel3" v-model="exampleModal3">
<MDBModalBody>
<div class="ratio ratio-16x9">
<iframe src="https://www.youtube.com/embed/vlDzYIIOYmM" title="YouTube video" allowfullscreen></iframe>
</div>
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" @click="exampleModal3 = false">Close</MDBBtn>
</MDBModalFooter>
</MDBModal>
</template>
<script>
import {
MDBModal,
MDBModalBody,
MDBModalFooter,
MDBBtn,
} from 'mdb-vue-ui-kit';
import {
ref
} from 'vue';
export default {
components: {
MDBModal,
MDBModalBody,
MDBModalFooter,
MDBBtn,
},
setup() {
const exampleModal = ref(false);
const exampleModal2 = ref(false);
const exampleModal3 = ref(false);
return {
exampleModal,
exampleModal2,
exampleModal3,
};
},
};
</script>
Lightbox
If you need advanced options you can use MDBootstrap LightBox component.
Note: This component requires MDBootstrap Pro package.
<template>
<MDBLightbox>
<MDBRow>
<MDBCol lg="6">
<MDBLightboxItem src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.webp"
fullScreenSrc="https://mdbootstrap.com/img/Photos/Slides/1.webp" alt="Lightbox image 1"
class="w-100 mb-2 mb-md-4" />
<MDBLightboxItem src="https://mdbootstrap.com/img/Photos/Thumbnails/Square/1.webp"
fullScreenSrc="https://mdbootstrap.com/img/Photos/Square/1.webp" alt="Lightbox image 2"
class="w-100" />
</MDBCol>
<MDBCol lg="6">
<MDBLightboxItem src="https://mdbootstrap.com/img/Photos/Thumbnails/Vertical/1.webp"
fullScreenSrc="https://mdbootstrap.com/img/Photos/Vertical/1.webp" alt="Lightbox image 3"
class="w-100" />
</MDBCol>
</MDBRow>
</MDBLightbox>
</template>
<script>
import {
MDBLightbox,
MDBLightboxItem,
MDBRow,
MDBCol
} from 'mdb-vue-ui-kit';
export default {
components: {
MDBLightbox,
MDBLightboxItem,
MDBRow,
MDBCol
}
};
</script>
Advanced multi-item carousel
If you need advanced multi-item gallery you can use MDBootstrap Multi Item component.
Note: This component requires MDBootstrap Pro package.
<template>
<MDBMultiCarousel :images="[
{
src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg',
alt: 'Gallery image 1',
class: 'w-100',
},
{
src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg',
alt: 'Gallery image 2',
class: 'w-100',
},
{
src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg',
alt: 'Gallery image 3',
class: 'w-100',
},
{
src: 'https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg',
alt: 'Gallery image 4',
class: 'w-100',
},
]" />
</template>
<script>
import {
MDBBtn
} from "mdb-vue-ui-kit";
export default {
components: {
MDBBtn
}
};
</script>
Vertical multi item carousel
Vertical implementation of Multi Item carousel.
Note: This component requires MDBootstrap Pro package.
<template>
<MDBMultiCarousel vertical style="max-width: 20rem">
<img src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.jpg" alt="Gallery image 1" class="w-100" />
<img src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/2.jpg" alt="Gallery image 2" class="w-100" />
<img src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/3.jpg" alt="Gallery image 3" class="w-100" />
<img src="https://mdbootstrap.com/img/Photos/Thumbnails/Slides/4.jpg" alt="Gallery image 4" class="w-100" />
</MDBMultiCarousel>
</template>
<script>
import {
MDBMultiCarousel
} from "mdb-vue-multi-carousel";
export default {
components: {
MDBMultiCarousel
}
};
</script>
eCommerce gallery
An example of gallery with zoom effect, adjusted to eCommerce projects.
To learn more read eCommerce Gallery Docs.
Note: This component requires MDBootstrap Pro package.
<template>
<MDBRow>
<MDBCol col="6">
<MDBECommerceGallery :lightboxRef="lightbox12" zoomEffect autoHeight>
<MDBRow class="py-3 shadow-5">
<MDBCol col="12" class="mb-1">
<MDBLightbox ref="lightbox12">
<MDBLightboxItem src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/14a.webp"
alt="Gallery image 1" class="ecommerce-gallery-main-img active w-100" />
</MDBLightbox>
</MDBCol>
<MDBCol class="mt-1">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/14a.webp"
data-fullscreen-src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/14a.webp"
alt="Gallery image 1" class="active w-100" />
</MDBCol>
<MDBCol class="mt-1">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/12a.webp"
data-fullscreen-src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/12a.webp"
alt="Gallery image 2" class="w-100" />
</MDBCol>
<MDBCol class="mt-1">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/13a.webp"
data-fullscreen-src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/13a.webp"
alt="Gallery image 3" class="w-100" />
</MDBCol>
<MDBCol class="mt-1">
<img src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/15a.webp"
data-fullscreen-src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/15a.webp"
alt="Gallery image 4" class="w-100" />
</MDBCol>
</MDBRow>
</MDBECommerceGallery>
</MDBCol>
</MDBRow>
</template>
<script>
import {
MDBRow,
MDBCol,
MDBLightbox,
MDBLightboxItem
} from "mdb-vue-ui-kit";
import {
MDBECommerceGallery
} from "mdb-vue-ecommerce-gallery";
import {
ref
} from "vue";
export default {
components: {
MDBRow,
MDBCol,
MDBLightbox,
MDBLightboxItem,
MDBECommerceGallery
},
setup() {
const lightbox12 = ref(null)
return {
lightbox12
}
}
};
</script>

Gallery

React Gallery - free examples, templates & tutorial

Responsive React galleries created with Bootstrap 5. Image gallery, video gallery, photo gallery, full-page, eCommerce, lightbox, slider, thumbnails, & more.


Static images

An example with the usage of static images.

To learn more read Images Docs.

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBRow,
            } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBRow>
                  <MDBCol lg={4} md={12} className='mb-4 mb-lg-0'>
                    <img
                      src='https://mdbcdn.b-cdn.net/img/Photos/Horizontal/Nature/4-col/img%20(73).webp'
                      className='w-100 shadow-1-strong rounded mb-4'
                      alt='Boat on Calm Water'
                    />
    
                    <img
                      src='https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain1.webp'
                      className='w-100 shadow-1-strong rounded mb-4'
                      alt='Wintry Mountain Landscape'
                    />
                  </MDBCol>
    
                  <MDBCol lg={4} className='mb-4 mb-lg-0'>
                    <img
                      src='https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain2.webp'
                      className='w-100 shadow-1-strong rounded mb-4'
                      alt='Mountains in the Clouds'
                    />
    
                    <img
                      src='https://mdbcdn.b-cdn.net/img/Photos/Horizontal/Nature/4-col/img%20(73).webp'
                      className='w-100 shadow-1-strong rounded mb-4'
                      alt='Boat on Calm Water'
                    />
                  </MDBCol>
    
                  <MDBCol lg={4} className='mb-4 mb-lg-0'>
                    <img
                      src='https://mdbcdn.b-cdn.net/img/Photos/Horizontal/Nature/4-col/img%20(18).webp'
                      className='w-100 shadow-1-strong rounded mb-4'
                      alt='Waves at Sea'
                    />
    
                    <img
                      src='https://mdbcdn.b-cdn.net/img/Photos/Vertical/mountain3.webp'
                      className='w-100 shadow-1-strong rounded mb-4'
                      alt='Yosemite National Park'
                    />
                  </MDBCol>
                </MDBRow>
              );
            }
          
        
    



Lightbox

If you need advanced options you can use MDBootstrap LightBox component.

Note: This component requires MDBootstrap Pro package.

        
            
            import React from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBLightbox,
              MDBLightboxItem,
              MDBRow,
            } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBLightbox>
                  <MDBRow>
                    <MDBCol lg='6'>
                      <MDBLightboxItem
                        src='https://mdbootstrap.com/img/Photos/Thumbnails/Slides/1.webp'
                        fullscreenSrc='https://mdbootstrap.com/img/Photos/Slides/1.webp'
                        className='w-100 mb-2 mb-md-4'
                      />
                      <MDBLightboxItem
                        src='https://mdbootstrap.com/img/Photos/Thumbnails/Square/1.webp'
                        fullscreenSrc='https://mdbootstrap.com/img/Photos/Square/1.webp'
                        className='w-100'
                      />
                    </MDBCol>
                    <MDBCol lg='6'>
                      <MDBLightboxItem
                        src='https://mdbootstrap.com/img/Photos/Thumbnails/Vertical/1.webp'
                        fullscreenSrc='https://mdbootstrap.com/img/Photos/Vertical/1.webp'
                        className='w-100'
                      />
                    </MDBCol>
                  </MDBRow>
                </MDBLightbox>
              );
            }